<?php

    declare(strict_types=1);

    /**
     * User: Daschmi (https://daschmi.de)
     * Date: 13.02.2020
     * Time: 06:25
     */

    namespace wpsg;

    abstract class GutenbergBlock {

        public static function product($attributes) {

            $product = wpsg_getStr($attributes['product'], '-1');
            $template = wpsg_getStr($attributes['template'], 'standard.phtml');
            $hide_title = wpsg_getStr($attributes['hide_title'], '0');

            return '[wpshopgermany product="'.$product.'" template="'.$template.'" hide_title="'.$hide_title.'"]';

        }

    }
