<?php

    namespace wpsg;

    abstract class M1 {

        /**
         * Maskierung für Datenbankabfragen
         * @param $value
         * @return array|string
         */
        final public static function q($value) {

            return \esc_sql($value);

        }

        /**
         * Prüft einen Wert auf Numerische Werte
         * @param $value
         * @param $testValue
         * @return bool
         */
        final public static function isSizedInt(&$value, $testValue = null) {

            if (!isset($value)) return false;

            if ($testValue === null) {

                return is_numeric($value);

            } else {

                if (is_numeric($value) && intval($testValue) === intval($value)) return true;
                else return false;

            }

        }
        
    }